// api接口
import api from "./request.js"

// 获取项目信息
// function getAppInfo(projectName) {
// 	// console.log('projectName=>'+projectName)
// 	return api.baseRequest('/api/view/GetAppInfo?projectName='+projectName, "GET",2)
// }
function getAppInfo(projectName) {
	// console.log('projectName=>'+projectName)
	return api.baseRequest(`${projectName}`, "GET",2)
}


//获取图片资源
function getProjectResource(projectName,pathName) {
	
	return api.baseRequest('/api/view/GetProjectResource?projectName='+projectName+'&resourcePath='+pathName,'GET',1)
}

//获取监控列表
function getMenu(projectName) {
	return api.baseRequest('/api/view/GetMenu?projectName='+projectName, "GET",0)
}

// 用户密码登录
function login(userName, password) {
	return api.baseRequest('/api/Login/Login_GstLoginIsSuccess?argUserAccount=' +userName +'&argPassword='+password, "POST",1)
}
//记录用户登录、注销、退出系统日志
function loginInOutRecord(userName,type){
	return api.baseRequest('/api/Login/Login_UserLogInOutRecord?UserName='+userName+'&Type='+type,"POST",1)
}
//获取控件JSON数据
// function getControlsJson(viewName){
// 	return api.baseRequest1('/ViewJson/'+viewName+'.json',"GET")
// }

function getControlsJson(projectName,viewName){
	return api.baseRequest('/api/view/GetProjectResource?projectName='+projectName+'&resourcePath=ViewJson/'+viewName+'.json',"GET",0)
}

 //请求权限接口
function mainGetMenuKey(userid){
	return api.baseRequest('/api/Main/Main_GetMenuKey?argUserID='+userid,"POST",1)
}

 //请求变量类型
function getSCMSTags(){
	return api.baseRequest('/api/Base/GetSCMSTags',"POST",1)
}

//数值输入框、控制按钮、点动按钮、开关、读写框下发接口
function postIOServiceTest(data){
	return api.baseRequest('/api/Base/PostIOServiceTest',"POST",1,data)
}

//数值显示请求、读写框、罐体、管道流动数值请求
function postRediusTest(data){
	return api.baseRequest('/api/Base/PostRediusTest',"POST",1,data)
}

//权限请求接口
function canExcuteAuthorityControl(userinfoID,argChildMenuID,elementName){
	return api.baseRequest(`/api/UserManage/UserManage_CanExcuteAuthorityControl?argUserID=${userinfoID}&argChildMenuID=${argChildMenuID}&argElementName=${elementName}`,"POST",1)
}

//获取跳转界面ID
function getViewId(arr,arrId){
	return api.baseRequest('/api/HMI/HMI_GstViewId?argChildMenuID=' + arr +'&argChildMenuKey=' + arrId,"POST",1)
}

//下拉文本值
function getDataColumn(ComId,ComNmame){
	return api.baseRequest(`/api/control/GetDataColumn?setId=${ComId}&columnName=${ComNmame}`,"GET",1)
}

//报警信息
function gstAlarms(data){
	return api.baseRequest(`/api/HMI/HMI_GstAlarms`,"POST",1,data)
}

//获取报表信息
function searchExtensionData(data){
	return api.baseRequest(`/api/ParameterReport/SearchExtensionData`,"POST",1,data)
}

//获取报表信息2
function searchItemData(data){
	return api.baseRequest(`/api/ParameterReport/SearchItemData`,"POST",1,data)
}
//获取报表信息3
function executeScript(data){
	return api.baseRequest(`/api/HMI/HMI_ExecuteScript`,"POST",1,data)
}
 //获取图表实时刷新数据
function getRelayEchart(viewName){
	return api.baseRequest(`/api/chart/GetRelay?viewName=${viewName}`,"GET",1)
}

//获取查询按钮时间控件跟图表绑定信息
function getChartControlNames(viewName){
	return api.baseRequest(`/api/control/GetChartControlNames?viewName=${viewName}`,"GET",1)
}
//点击查询按钮获取图表信息
function getChartQuery(data){
	return api.baseRequest(`/api/chart/query`,"POST",1,data)
}





export default {
	getAppInfo,
	getProjectResource,
	getMenu,
	login,
	loginInOutRecord,
	mainGetMenuKey,
	getControlsJson,
	getSCMSTags,
	postIOServiceTest,
	postRediusTest,
	canExcuteAuthorityControl,
	getViewId,
	getDataColumn,
	gstAlarms,
	searchExtensionData,
	searchItemData,
	executeScript,
	getRelayEchart,
	getChartControlNames,
	getChartQuery
	

}
