import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex); //vue的插件机制
import $api from '../request/api.js'
import $toast from '../js/toast.js'
//Vuex.Store 构造器选项
const store = new Vuex.Store({
	state: { //存放状态
		routerInfo: '',
		systemInfo: '', //系统信息
		GetProjectResourceBaseUrl:'/api/view/GetProjectResource',
		baseUrl:'http://192.168.1.68:8806'
	},
	actions: {
		//扫码获取信息
		getCodeInfoFun({
			commit
		}) {
			
            uni.removeStorageSync('projectInfo');
			return new Promise((resolve, reject) => {
				// #ifdef APP-PLUS
				uni.scanCode({
					// onlyFromCamera: true,
					scanType: ['qrCode', 'barCode'],
					success: function(res) {
						// console.log(333)
						let projectName = res.result
						// console.log(22+JSON.stringify(res))
						
						if(projectName){
							// console.log(88+JSON.stringify(projectName))
							$api.getAppInfo(projectName).then(res=>{
								console.log(88+JSON.stringify( res.data.data))
								const code = res.data.code
								// console.log(JSON.stringify( res.data.data))
								if(code == 1){
									$toast.toast(res.data.msg)
								}else{
									uni.setStorageSync('projectInfo', res.data.data);
									resolve(res)
								}
								if(res.statusCode == 500){
									$toast.toast('扫码失败')
								}
								
							}).catch(err=>{
								console.log('err'+JSON.stringify(res))
								$toast.toast('扫码失败')
							})
						}else{
							// console.log(444)
							$toast.toast('扫码失败')
						}
						
					},
					complete: function(res) {
						uni.hideLoading();
					},
					fail: function(res) {
						
						reject(res)
						console.log('失败条码类型：' + res.scanType);
					}

				});
				// uni.redirectTo({
				// 	url: "/pages/login/index"
				// })
				// #endif
				// #ifndef APP-PLUS || APP-NVUE
				$api.getAppInfo('test').then(res=>{
					const code = res.data.code
					if(code == 1){
						$toast.toast(res.data.msg)
					}else{
						uni.setStorageSync('projectInfo', res.data.data);
						uni.redirectTo({
							url: "/pages/login/index"
						})
						resolve(res)
						
					}
					if(res.statusCode == 500){
						$toast.toast('扫码失败')
					}
					
				}).catch(res=>{
					$toast.toast('扫码失败')
				})
				
				// #endif
			})



		},
		//权限请求
		jurisdictionShow(context,payload) {
			const {item,dataId } = payload
			return new Promise((resolve, reject) => {
				let userinfoID = ''
				// console.log(uni.getStorageSync('userInfo1'))
				if (uni.getStorageSync('userInfo1') == null) {
					// userinfoID = JSON.parse(sessionStorage.getItem('sightseerInfo1')).SCMSUserID;
				} else {
					userinfoID = uni.getStorageSync('userInfo1').SCMSUserID;
				}
				let argChildMenuID = dataId
				let elementName = item.class
				$api.canExcuteAuthorityControl(userinfoID, argChildMenuID, elementName).then(res => {
					console.log(JSON.stringify(dataId))
					if (res.data.code == 0) {
						resolve(res.data)
					} else {
						reject(res.data)
					}
		
				})
		
			})
		},
	}
})
export default store
